<html>
  <head>
    <meta charset="utf-8" />
    <base target="_top" />
    <link rel="stylesheet" href="./css/bootstrap.min.css" />
    <script type="text/javascript" src="./js/jquery-3.4.1.min.js"></script>
    <script type="text/javascript" src="./js/bootstrap.bundle.js"></script>
  </head>
  <body>
    <h1>SVG File to VIA</h1>
    <form>
      <div class="custom-file">
        <input type="file" class="custom-file-input" id="customFile" />
        <label class="custom-file-label" for="customFile">Choose file</label>
      </div>
    </form>
    <button type="button" class="btn btn-primary" id="btnSvgToVia">
      SVG to VIA
    </button>
    <script>
      $(".custom-file-input").on("change", function() {
        var fileName = $(this)
          .val()
          .split("\\")
          .pop();
        $(this)
          .siblings(".custom-file-label")
          .addClass("selected")
          .html(fileName);
      });

      $("#btnSvgToVia").on("click", function() {
        //todo : eror handling no file selected
        var googleWebAppURL =
          "https://script.google.com/macros/s/AKfycbwBj3NY2_pm3oxYzOwnC4ZU093kZPSBBSP9ADr_YbV3lR1XX6I/exec";
        var fileReader = new FileReader();
        fileReader.readAsText($("#customFile").prop("files")[0]);
        fileReader.onload = function() {
          console.log(fileReader.result);
        };
        fileReader.onerror = function() {
          console.log(fileReader.error);
        };
        /*
        Simply sets the following header Content-Type: application/x-www-form-urlencoded and make sure you send formatted data. For example by using FormData in JavaScript.

var formData = new FormData();

formData.append("email", "test@example.com");
formData.append("message", "Hello"); 

// Send formData as the body with your HTTP library (JQuery, XMLHttpRequest, or wathever)
// Dont forget to set the header Content-Type: application/x-www-form-urlencoded
*/
        $.post(googleWebAppURL, function(data, status) {
          alert("Data: " + data + "\nStatus: " + status);
        });
        //console.log($("#customFile").prop("files")[0]);
      });
    </script>
  </body>
</html>
